App crashing after receiving message - OkHTTP - setWriteTimeout() method not found

4 Comentarios

  • Barry Carroll

    Hi Sanjeev,

    We normally handle SDK requests in a different forum. Your issue is quite similar to this one over there. Running this should show which module is causing the conflict. My guess is that the Picasso instance in the chat SDK is expecting version 2.x of okhttp, but 3.x is on your classpath.

    ./gradlew :YourApp:dependencies
    0
  • Sanjeev

    Thanks for reply Barry.

    result for ./gradlew :app:dependencies as follows:

    _releaseCompile - ## Internal use, do not manually configure ##
    +--- com.android.support:multidex:1.0.1
    +--- com.facebook.android:facebook-android-sdk:4.5.0
    | +--- com.parse.bolts:bolts-android:1.2.0
    | \--- com.android.support:support-v4:[22,23) -> 25.2.0
    | +--- com.android.support:support-compat:25.2.0
    | | \--- com.android.support:support-annotations:25.2.0
    | +--- com.android.support:support-media-compat:25.2.0
    | | +--- com.android.support:support-annotations:25.2.0
    | | \--- com.android.support:support-compat:25.2.0 (*)
    | +--- com.android.support:support-core-utils:25.2.0
    | | +--- com.android.support:support-annotations:25.2.0
    | | \--- com.android.support:support-compat:25.2.0 (*)
    | +--- com.android.support:support-core-ui:25.2.0
    | | +--- com.android.support:support-annotations:25.2.0
    | | \--- com.android.support:support-compat:25.2.0 (*)
    | \--- com.android.support:support-fragment:25.2.0
    | +--- com.android.support:support-compat:25.2.0 (*)
    | +--- com.android.support:support-media-compat:25.2.0 (*)
    | +--- com.android.support:support-core-ui:25.2.0 (*)
    | \--- com.android.support:support-core-utils:25.2.0 (*)
    +--- com.android.support:appcompat-v7:24.+ -> 25.1.0
    | +--- com.android.support:support-annotations:25.1.0 -> 25.2.0
    | +--- com.android.support:support-v4:25.1.0 -> 25.2.0 (*)
    | +--- com.android.support:support-vector-drawable:25.1.0
    | | +--- com.android.support:support-annotations:25.1.0 -> 25.2.0
    | | \--- com.android.support:support-compat:25.1.0 -> 25.2.0 (*)
    | \--- com.android.support:animated-vector-drawable:25.1.0
    | \--- com.android.support:support-vector-drawable:25.1.0 (*)
    +--- com.google.android.gms:play-services-maps:11.0.2
    | +--- com.google.android.gms:play-services-base:[11.0.2] -> 11.0.2
    | | +--- com.google.android.gms:play-services-basement:[11.0.2] -> 11.0.2
    | | | \--- com.android.support:support-v4:25.2.0 (*)
    | | \--- com.google.android.gms:play-services-tasks:[11.0.2] -> 11.0.2
    | | \--- com.google.android.gms:play-services-basement:[11.0.2] -> 11.0.2 (*)
    | \--- com.google.android.gms:play-services-basement:[11.0.2] -> 11.0.2 (*)
    +--- com.google.android.gms:play-services-gcm:11.0.2
    | +--- com.google.android.gms:play-services-base:[11.0.2] -> 11.0.2 (*)
    | +--- com.google.android.gms:play-services-basement:[11.0.2] -> 11.0.2 (*)
    | \--- com.google.android.gms:play-services-iid:[11.0.2] -> 11.0.2
    | +--- com.google.android.gms:play-services-base:[11.0.2] -> 11.0.2 (*)
    | \--- com.google.android.gms:play-services-basement:[11.0.2] -> 11.0.2 (*)
    +--- com.android.support:multidex:1.0.0 -> 1.0.1
    +--- com.zopim.android:sdk:1.3.4.1
    | +--- com.squareup.picasso:picasso:2.5.2
    | +--- com.android.support:appcompat-v7:24.0.0 -> 25.1.0 (*)
    | +--- com.android.support:recyclerview-v7:24.0.0 -> 25.1.0
    | | +--- com.android.support:support-annotations:25.1.0 -> 25.2.0
    | | +--- com.android.support:support-compat:25.1.0 -> 25.2.0 (*)
    | | \--- com.android.support:support-core-ui:25.1.0 -> 25.2.0 (*)
    | +--- com.android.support:design:24.0.0 -> 25.1.0
    | | +--- com.android.support:support-v4:25.1.0 -> 25.2.0 (*)
    | | +--- com.android.support:appcompat-v7:25.1.0 (*)
    | | +--- com.android.support:recyclerview-v7:25.1.0 (*)
    | | \--- com.android.support:transition:25.1.0
    | | +--- com.android.support:support-annotations:25.1.0 -> 25.2.0
    | | \--- com.android.support:support-v4:25.1.0 -> 25.2.0 (*)
    | \--- com.zopim.android:sdk-api:1.3.4.1
    | +--- com.android.support:support-annotations:24.0.0 -> 25.2.0
    | +--- com.google.code.gson:gson:2.7
    | +--- com.zendesk:belvedere:1.1.1.1
    | | \--- com.android.support:appcompat-v7:23.4.0 -> 25.1.0 (*)
    | \--- com.zendesk:java-common:1.9 -> 1.12
    \--- com.zendesk:sdk:1.10.0.1
    +--- com.google.dagger:dagger:2.7 -> 2.8
    | \--- javax.inject:javax.inject:1
    +--- com.zendesk:sdk-providers:1.10.0.1
    | +--- com.google.dagger:dagger:2.8 (*)
    | +--- com.zendesk:java-common:1.12
    | +--- com.squareup.retrofit2:retrofit:2.1.0
    | | \--- com.squareup.okhttp3:okhttp:3.3.0 -> 3.5.0
    | | \--- com.squareup.okio:okio:1.11.0
    | +--- com.squareup.retrofit2:converter-gson:2.1.0
    | | +--- com.squareup.retrofit2:retrofit:2.1.0 (*)
    | | \--- com.google.code.gson:gson:2.7
    | +--- com.squareup.okhttp3:logging-interceptor:3.5.0
    | | \--- com.squareup.okhttp3:okhttp:3.5.0 (*)
    | +--- com.squareup.okhttp3:okhttp:3.5.0 (*)
    | +--- com.android.support:support-annotations:25.1.0 -> 25.2.0
    | \--- com.crashlytics.sdk.android:answers-shim:0.0.6
    +--- com.android.support:support-v4:25.1.0 -> 25.2.0 (*)
    +--- com.android.support:appcompat-v7:25.1.0 (*)
    +--- com.android.support:recyclerview-v7:25.1.0 (*)
    +--- com.android.support:design:25.1.0 (*)
    +--- com.squareup.picasso:picasso:2.5.2
    +--- com.jakewharton:disklrucache:2.0.2
    \--- com.zendesk:belvedere:1.0.2.1 -> 1.1.1.1 (*)

    0
  • Barry Carroll

    Thanks Sanjeev

    Can you tell us the version of the cordova jar that you're using please. It will help us to replicate the issue. Thanks!

    0
  • Jessie Schutz
    Zendesk team member

    Scratch that - since Barry is already helping you here I'll just leave it. :)

    ---

    Hey Sanjeev! I'll get this moved over to the SDK forum for you. :)

    0

Iniciar sesión para dejar un comentario.

Tecnología de Zendesk